GCLOUD_SQL_INSTANCES_CREATE(1)

NAME

gcloud sql instances create - creates a new Cloud SQL instance

SYNOPSIS

gcloud sql instances create INSTANCE [--activation-policy=ACTIVATION_POLICY] [--assign-ip] [--async] [--authorized-gae-apps=APP,[APP,...]] [--authorized-networks=NETWORK,[NETWORK,...]] [--no-backup] [--backup-start-time=BACKUP_START_TIME] [--database-flags=FLAG=VALUE,[FLAG=VALUE,...]] [--database-version=DATABASE_VERSION; default="MYSQL_5_6"] [--enable-bin-log] [--follow-gae-app=FOLLOW_GAE_APP] [--gce-zone=GCE_ZONE] [--master-instance-name=MASTER_INSTANCE_NAME] [--pricing-plan=PRICING_PLAN, -p PRICING_PLAN; default="PER_USE"] [--region=REGION; default="us-central"] [--replication=REPLICATION] [--require-ssl] [--tier=TIER, -t TIER] [GLOBAL-FLAG ...]

DESCRIPTION
Creates a new Cloud SQL instance.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID.

FLAGS

    --activation-policy=ACTIVATION_POLICY
        The activation policy for this instance. This specifies when the instance should be activated and is applicable only when the instance state is RUNNABLE. More information on activation policies can be found here: https://cloud.google.com/sql/faq#activation_policy. ACTIVATION_POLICY must be one of: ALWAYS, NEVER, ON_DEMAND.

    --assign-ip
        Specified if the instance must be assigned an IP address.

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --authorized-gae-apps=APP,[APP,...]
        List of App Engine app IDs that can access this instance.

    --authorized-networks=NETWORK,[NETWORK,...]
        The list of external networks that are allowed to connect to the instance. Specified in CIDR notation, also known as 'slash' notation (e.g. 192.168.100.0/24).

    --backup
        Enables daily backup. Enabled by default, use --no-backup to disable.

    --backup-start-time=BACKUP_START_TIME
        The start time of daily backups, specified in the 24 hour format - HH:MM, in the UTC timezone.

    --database-flags=FLAG=VALUE,[FLAG=VALUE,...]
        A comma-separated list of database flags to set on the instance. Use an equals sign to separate flag name and value. Flags without values, like skip_grant_tables, can be written out without a value after, e.g., skip_grant_tables=. Use on/off for booleans. View the Instance Resource API for allowed flags. (e.g., --database-flags max_allowed_packet=55555,skip_grant_tables=,log_output=1)

    --database-version=DATABASE_VERSION; default="MYSQL_5_6"
        The database engine type and version. Can be MYSQL_5_5, MYSQL_5_6, or MYSQL_5_7.

    --enable-bin-log
        Specified if binary log should be enabled. If backup configuration is disabled, binary log must be disabled as well.

    --follow-gae-app=FOLLOW_GAE_APP
        The App Engine app this instance should follow. It must be in the same region as the instance.

    --gce-zone=GCE_ZONE
        The preferred Compute Engine zone (e.g. us-central1-a, us-central1-b, etc.).

    --master-instance-name=MASTER_INSTANCE_NAME
        Name of the instance which will act as master in the replication setup. The newly created instance will be a read replica of the specified master instance.

    --pricing-plan=PRICING_PLAN, -p PRICING_PLAN; default="PER_USE"
        The pricing plan for this instance. PRICING_PLAN must be one of: PER_USE, PACKAGE.

    --region=REGION; default="us-central"
        The regional location (e.g. asia-east1, us-east1). See the full list of regions at https://cloud.google.com/sql/docs/instance-locations.

    --replication=REPLICATION
        The type of replication this instance uses. REPLICATION must be one of: SYNCHRONOUS, ASYNCHRONOUS.

    --require-ssl
        Specified if users connecting over IP must use SSL.

    --tier=TIER, -t TIER
        The tier for first generation Cloud SQL instances, for example D0, D1, D2. A complete list of tiers is available here: https://cloud.google.com/sql/pricing#packages

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.